Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.salesforceinput
Class SalesforceInputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.salesforceinput.SalesforceInputData

All Implemented Interfaces:
  StepDataInterface

    public class SalesforceInputData

extends BaseStepData
implements StepDataInterface

Field Summary
`com.sforce.soap.partner.SoapBindingStub` | `binding`
`org.pentaho.di.core.row.RowMetaInterface` | `convertRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`long` | `limit`
`boolean` | `limitReached`
`String` | `Module`
`int` | `nr_repeats`
`int` | `nrfields`
`int` | `nrRecords`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`Object[]` | `previousRow`
`com.sforce.soap.partner.QueryResult` | `qr`
`int` | `recordcount`
`int` | `recordIndex`
`long` | `rownr`
`String` | `SQL`
`String` | `Timestamp`
`String` | `URL`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`SalesforceInputData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### nr_repeats

    public int nr_repeats

### rownr

    public long rownr

### previousRow

    public Object[] previousRow

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### convertRowMeta

    public org.pentaho.di.core.row.RowMetaInterface convertRowMeta

### qr

    public com.sforce.soap.partner.QueryResult qr

### recordcount

    public int recordcount

### nrfields

    public int nrfields

### limitReached

    public boolean limitReached

### limit

    public long limit

### URL

    public String URL

### Module

    public String Module

### SQL

    public String SQL

### Timestamp

    public String Timestamp

### binding

    public com.sforce.soap.partner.SoapBindingStub binding

### nrRecords

    public int nrRecords

### recordIndex

    public int recordIndex

Constructor Detail

### SalesforceInputData

    public SalesforceInputData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD